[Gpg4win-commits] [git] Gpg4win - branch, master, updated. gpg4win-2.1.0-143-g3789e00

by Werner Koch cvs at cvs.gnupg.org
Mon Apr 29 11:00:22 CEST 2013


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GnuPG for Windows".

The branch, master has been updated
       via  3789e00fc9a9192b24f213f661afdd72ef7da42a (commit)
       via  a558c7b1a4f4adf401283b3ecf02a7f2e762d4d9 (commit)
       via  cef4cf5fed5688b177dc9001f19d30dc31f95877 (commit)
      from  df7269ce6a8f9a0249a9ea86a8956fc56107f2a6 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 3789e00fc9a9192b24f213f661afdd72ef7da42a
Author: Werner Koch <wk at gnupg.org>
Date:   Mon Apr 29 10:43:47 2013 +0200

    Remove dependency on removed package.
    
    * configure.ac: Remove kdelibs dependency from kleopatra.

diff --git a/configure.ac b/configure.ac
index 4bb630f..d5ed74f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -331,9 +331,8 @@ GPG4WIN_IPKG([compendium])
 GPG4WIN_BPKG_GNUWIN32([dbus])
 GPG4WIN_BPKG_BINSRC([oxygen-icons])
 GPG4WIN_BPKG_GNUWIN32([qt], [dbus])
-GPG4WIN_BPKG_GNUWIN32([kdelibs], [qt oxygen-icons])
-GPG4WIN_BPKG_BINSRC([kleopatra], [gpgme gnupg2 kdelibs])
-#GPG4WIN_BPKG_GNUWIN32([kleopatra], [gpgme gnupg2 kdelibs])
+#GPG4WIN_BPKG_GNUWIN32([kdelibs], [qt oxygen-icons])
+GPG4WIN_BPKG_BINSRC([kleopatra], [gpgme gnupg2])
 
 GPG4WIN_FINALIZE
 

commit a558c7b1a4f4adf401283b3ecf02a7f2e762d4d9
Author: Werner Koch <wk at gnupg.org>
Date:   Mon Apr 29 10:18:59 2013 +0200

    Add w64-mingw32 compatibility patches.
    
    * patches/gpgme-1.4.0/01-off_t.postcfg-build:  New.
    * patches/gpgol-1.1.3/01-w64-ming64.patch:  New.
    * Makefile.am (EXTRA_DIST): Add them.

diff --git a/Makefile.am b/Makefile.am
index 6884b50..2b7a2c3 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -72,13 +72,14 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
 	patches/dirmngr-1.0.3/01-ldaphttp.patch \
 	patches/dirmngr-1.1.0/01-mmap.patch \
 	patches/gpgol-0.9.91/01-gpgme.patch \
+        patches/gpgol-1.1.3/01-w64-ming64.patch  \
         patches/gpa-0.9.0/01-title-prop.patch \
 	patches/libetpan-0.57/01-gnutls_compat.patch \
         patches/scute-1.2.0/01-bugfixes.patch \
         patches/scute-1.3.0/01-wsastartup.patch \
         patches/claws-mail-3.8.0cvs30/01-glib-h-only.patch \
-	patches/gnutls-2.12.21/01-openssl-wincrypt.patch
-
+	patches/gnutls-2.12.21/01-openssl-wincrypt.patch \
+        patches/gpgme-1.4.0/01-off_t.postcfg-build
 
 copy-news:
 	cp NEWS doc/website/NEWS.last
diff --git a/patches/gpgme-1.4.0/01-off_t.postcfg-build b/patches/gpgme-1.4.0/01-off_t.postcfg-build
new file mode 100755
index 0000000..dd882c4
--- /dev/null
+++ b/patches/gpgme-1.4.0/01-off_t.postcfg-build
@@ -0,0 +1,30 @@
+#! /bin/sh
+patch -p0 -f $* < $0
+exit $?
+
+The _FILE_OFFSET_BITS check is also employed for Windows but does not
+work reliable and is not needed anyway.  Will be fixed in 1.4.1.  For
+the time being we need to patch the generated header (thus the
+.postcfg-build suffix of this file)
+
+
+--- src/gpgme.h~	2013-04-26 17:49:31.659676656 +0200
++++ src/gpgme.h	2013-04-29 09:35:18.085078818 +0200
+@@ -90,17 +90,6 @@
+    API incompatibilities.  */
+ #define GPGME_VERSION_NUMBER 0x010400
+
+-/* Check for a matching _FILE_OFFSET_BITS definition.  */
+-#if 64
+-#ifndef _FILE_OFFSET_BITS
+-#error GPGME was compiled with _FILE_OFFSET_BITS = 64, please see the section "Largefile support (LFS)" in the GPGME manual.
+-#else
+-#if (_FILE_OFFSET_BITS) != (64)
+-#error GPGME was compiled with a different value for _FILE_OFFSET_BITS, namely 64, please see the section "Largefile support (LFS)" in the GPGME manual.
+-#endif
+-#endif
+-#endif
+-
+
+ 

+ /* Some opaque data types used by GPGME.  */
diff --git a/patches/gpgol-1.1.3/01-w64-ming64.patch b/patches/gpgol-1.1.3/01-w64-ming64.patch
new file mode 100755
index 0000000..f8572af
--- /dev/null
+++ b/patches/gpgol-1.1.3/01-w64-ming64.patch
@@ -0,0 +1,36 @@
+#! /bin/sh
+patch -p1 -f $* < $0
+exit $?
+
+Fix an w64-mingw32 incompatibility.
+
+
+diff --git a/src/common.c b/src/common.c
+index 43239c7..68cae2d 100644
+--- a/src/common.c
++++ b/src/common.c
+@@ -18,6 +18,7 @@
+  */
+
+ #include <config.h>
++#define OEMRESOURCE    /* Required for OBM_CHECKBOXES.  */
+ #include <windows.h>
+ #include <shlobj.h>
+ #ifndef CSIDL_APPDATA
+diff --git a/src/ext-commands.cpp b/src/ext-commands.cpp
+index 04140c5..85feb2d 100644
+--- a/src/ext-commands.cpp
++++ b/src/ext-commands.cpp
+@@ -21,7 +21,11 @@
+ #include <config.h>
+ #endif
+
+-#define _WIN32_IE 0x400 /* Need TBIF_COMMAND et al.  */
++/* Need TBIF_COMMAND et al. (0x0400 would be sufficient but elsewhere
++   we require 0x600 anyway). */
++#ifndef _WIN32_IE
++# define _WIN32_IE 0x0600
++#endif
+ #include <windows.h>
+
+ #include "mymapi.h"

commit cef4cf5fed5688b177dc9001f19d30dc31f95877
Author: Werner Koch <wk at gnupg.org>
Date:   Mon Apr 29 10:17:38 2013 +0200

    Provide a hook for patches after a configure run.
    
    * src/gpg4win.mk.in (stamps/stamp-$(1)-02-configure): Add an extra
    patch stage.
    --
    
    In general this is not a good idea, but sometimes it saves a lot of
    time and allows for a hotfix.  Note that there are two different
    suffixes, depending on whether to patch in the source of the build
    directory.

diff --git a/src/gpg4win.mk.in b/src/gpg4win.mk.in
index 79b1d7a..6c60b56 100644
--- a/src/gpg4win.mk.in
+++ b/src/gpg4win.mk.in
@@ -135,9 +135,18 @@ stamps/stamp-$(1)-02-configure: stamps/stamp-$(1)-01-patch
 	  cd "$$$${pkgbdir}";				\
 	 eval "../$$$${pkg_version}/configure"		\
 		--prefix="$$$${pkgidir}"		\
-		--host=$(host)		\
-		--build=$(build)	\
-		$$$${pkgcfg} CFLAGS=\"-mms-bitfields $$$${pkgextracflags}\")
+		--host=$(host)				\
+		--build=$(build)			\
+		$$$${pkgcfg} CFLAGS=\"-mms-bitfields $$$${pkgextracflags}\";\
+	 shopt -s nullglob;					\
+	 for pfile in "$$$${pkgpbdir}"/*.postcfg       		\
+                       "$$$${pkgpdir}"/*.postcfg ; do  		\
+	   (cd "$$$${pkgsdir}"; "$$$${pfile}")		     	\
+	 done;                                               	\
+	 for pfile in "$$$${pkgpbdir}"/*.postcfg-build    	\
+                       "$$$${pkgpdir}"/*.postcfg-build ; do	\
+	   (cd "$$$${pkgbdir}"; "$$$${pfile}")			\
+	 done)
 	touch stamps/stamp-$(1)-02-configure
 
 stamps/stamp-$(1)-03-make: stamps/stamp-$(1)-02-configure

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am                                |    5 ++-
 configure.ac                               |    5 +--
 patches/gpgme-1.4.0/01-off_t.postcfg-build |   30 +++++++++++++++++++++++
 patches/gpgol-1.1.3/01-w64-ming64.patch    |   36 ++++++++++++++++++++++++++++
 src/gpg4win.mk.in                          |   15 +++++++++--
 5 files changed, 83 insertions(+), 8 deletions(-)
 create mode 100755 patches/gpgme-1.4.0/01-off_t.postcfg-build
 create mode 100755 patches/gpgol-1.1.3/01-w64-ming64.patch


hooks/post-receive
-- 
GnuPG for Windows
http://git.gnupg.org



More information about the Gpg4win-commits mailing list